Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class LogExpImpl

    java.lang.Object
      OperationCallExpImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.LogExpImpl

All Implemented Interfaces:
  ImperativeExpression, LogExp

    public class LogExpImpl

extends OperationCallExpImpl
implements LogExp

An implementation of the model object 'Log Exp'.

The following features are implemented:

- `Condition`

Field Summary
`protected OCLExpression` | `condition` The cached value of the '`Condition`' containment reference

Constructor Summary
`protected` | `LogExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetCondition(OCLExpression newCondition, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`OCLExpression` | `getCondition()`
`void` | `setCondition(OCLExpression newCondition)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### condition

    protected OCLExpression condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

Constructor Detail

### LogExpImpl

    protected LogExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### getCondition

    public OCLExpression getCondition()

  Specified by:
    `getCondition` in interface `LogExp`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `LogExp.setCondition(OCLExpression)`, `ImperativeOCLPackage.getLogExp_Condition()`

### basicSetCondition

    public NotificationChain basicSetCondition(OCLExpression newCondition,
                                               NotificationChain msgs)

### setCondition

    public void setCondition(OCLExpression newCondition)

  Specified by:
    `setCondition` in interface `LogExp`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `LogExp.getCondition()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD